enum ApiEnvironment {
  dam(url: 'https://api.dam.rasadyar.net/');

  const ApiEnvironment({required this.url});

  final String url;

  String get baseUrl {
    switch (this) {
      case ApiEnvironment.dam:
        return url;
    }
  }
}
